//
//  AtomContent.h
//  Atom
//
//  Created by Jonathan Younger on Thu Apr 29 2004.
//  Copyright (c) 2004 Daikini Software.
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.

//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.

//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#import <Foundation/Foundation.h>
#import "AtomElement.h"

/*! @class AtomContent
	@brief An Atom Content construct.
*/

@interface AtomContent : AtomElement {
    NSString *type;
    NSString *mode;
    NSString *content;
}

+ (AtomContent *)atomContentWithLocalName:(NSString *)aLocalName
                                  content:(NSString *)aContent
                                     type:(NSString *)aType
                                     mode:(NSString *)aMode;

+ (AtomContent *)atomContentWithLocalName:(NSString *)aLocalName
								 fromTree:(CFXMLTreeRef)aTree;

- (id)initWithLocalName:(NSString *)aLocalName
                content:(NSString *)aContent
                   type:(NSString *)aType
                   mode:(NSString *)aMode;

- (NSString *)type;
- (void)setType:(NSString *)aType;

- (NSString *)mode;
- (void)setMode:(NSString *)aMode;

- (NSString *)content;
- (void)setContent:(NSString *)aContent;

@end
