//
//  AtomGenerator.h
//  Atom
//
//  Created by Jonathan Younger on Thu Apr 29 2004.
//  Copyright (c) 2004 Daikini Software.
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.

//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.

//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#import <Foundation/Foundation.h>
#import "AtomElement.h"

/*! @class AtomGenerator
	@brief An Atom Generator construct.
*/

@interface AtomGenerator : AtomElement {
    NSString *generator;
    NSURL *URL;
    NSString *version;
}

+ (AtomGenerator *)atomGenerator;
+ (AtomGenerator *)atomGeneratorFromTree:(CFXMLTreeRef)aTree;

- (NSString *)generator;
- (void)setGenerator:(NSString *)aGenerator;

- (NSURL *)URL;
- (void)setURL:(NSURL *)aURL;

- (NSString *)version;
- (void)setVersion:(NSString *)aVersion;


@end
