//
//  AtomLink.h
//  Atom
//
//  Created by Jonathan Younger on Thu Apr 29 2004.
//  Copyright (c) 2004 Daikini Software.
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.

//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.

//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//


#import <Foundation/Foundation.h>
#import "AtomElement.h"

/*! @class AtomLink
	@brief An Atom Link construct.
*/

@interface AtomLink : AtomElement {
    NSString *rel;
    NSString *type;
    NSURL *HREF;
    NSString *title;
}

+ (AtomLink *)atomLinkWithRel:(NSString *)aRel
                         type:(NSString *)aType
                         HREF:(NSURL *)anHREF
                        title:(NSString *)aTitle;

+ (AtomLink *)atomLinkFromTree:(CFXMLTreeRef)aTree;

-(id)initWithRel:(NSString *)aRel
            type:(NSString *)aType 
            HREF:(NSURL *)anHREF 
           title:(NSString *)aTitle;


- (NSString *)rel;
- (void)setRel:(NSString *)aRel;

- (NSString *)type;
- (void)setType:(NSString *)aType;

- (NSURL *)HREF;
- (void)setHREF:(NSURL *)anHREF;

- (NSString *)title;
- (void)setTitle:(NSString *)aTitle;

@end
