//
//  AtomPerson.h
//  Atom
//
//  Created by Jonathan Younger on Thu Apr 29 2004.
//  Copyright (c) 2004 Daikini Software.
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.

//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.

//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#import <Foundation/Foundation.h>
#import "AtomElement.h"

/*! @class AtomPerson
	@brief An Atom Person construct.
*/

@interface AtomPerson : AtomElement {
    NSString *name;
    NSURL *URL;
    NSString *email;
}

+ (AtomPerson *)atomPersonWithLocalName:(NSString *)aLocalName
                                   name:(NSString *)aName
                                    URL:(NSURL *)aURL
                                  email:(NSString *)anEmail;

+ (AtomPerson *)atomPersonWithLocalName:(NSString *)aLocalName
							   fromTree:(CFXMLTreeRef)aTree;

- (id)initWithLocalName:(NSString *)aLocalName 
                   name:(NSString *)aName
                    URL:(NSURL *)aURL
                  email:(NSString *)anEmail;

- (NSString *)name;
- (void)setName:(NSString *)aName;

- (NSURL *)URL;
- (void)setURL:(NSURL *)aURL;

- (NSString *)email;
- (void)setEmail:(NSString *)anEmail;

@end
