//
//  DcElement.m
//  Atom
//
//  Created by Jonathan Younger on Thu Apr 29 2004.
//  Copyright (c) 2004 Daikini Software.
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.

//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.

//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#import "DcElement.h"


@implementation DcElement
+ (DcElement *)dcElementWithLocalName:(NSString *)aLocalName
                              content:(NSString *)aContent
{
    return [[[DcElement alloc] initWithLocalName:aLocalName content:aContent] autorelease];
}


- (NSString *)namespacePrefix
{
    return @"dc";
}

- (NSURL *)namespaceUri
{
    return [NSURL URLWithString:@"http://purl.org/dc/elements/1.1/"];
}

+ (DcElement *)dcElementWithLocalName:(NSString *)aLocalName
							 fromTree:(CFXMLTreeRef)aTree
{
	DcElement *element = [[[DcElement alloc] init] autorelease];
	NSString *name = [[aLocalName componentsSeparatedByString:@":"] objectAtIndex:1];
	[element setLocalName:name];
	[element setContent:[self getElementFromTree:aTree]];
	return element;
}
@end
