//
//  ScopedElement.m
//  Atom
//
//  Created by Jonathan Younger on Thu Apr 29 2004.
//  Copyright (c) 2004 Daikini Software.
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.

//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.

//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#import "ScopedElement.h"


@implementation ScopedElement
- (id)initWithLocalName:(NSString *)aLocalName
                content:(NSString *)aContent
{
    if (self = [super init]) {
        [self setLocalName:aLocalName];
        [self setContent:aContent];
    }
    
    return self;
}

- (NSString *)content { return content; }

- (void)setContent:(NSString *)aContent
{
    if (content != aContent) {
        [aContent retain];
        [content release];
        content = aContent;
    }
}

- (NSString *)stringValue
{
	[[self buffer] setString:@""];
    [self writeStartElement];
    [[self buffer] appendString:[self content]];
    [self writeEndElement];
    
    return [self buffer];
}

- (void)writeStartElement
{
    [[self buffer] appendFormat:@"<%@ xmlns:%@=\"%@\">", [self fullName], [self namespacePrefix], [self namespaceUri]];
}

- (void)writeEndElement
{
    [[self buffer] appendFormat:@"</%@>", [self fullName]];
    [[self buffer] appendString:@"\n"];
}
@end
